Merge Express Help

File Merge Express Ó is a file comparison and merge utility for Microsoft Windows (see compatibility list). The program displays a Contents Comparison of two files and can (optionally) create a third, 'Merge File' consisting of the merge of the two files being compared. The Merge File can (optionally) be opened in the built-in text (or binary) editor. The program has several options for file naming of the Merge File, including automatic naming when the two source files for the comparison have the same name. The program can be configured to use external editors that can be launched by double clicking in the Contents Comparison. Alternatively, double clicking on a line in the Contents Comparison launches the internal editor. The display fonts are configurable in the Contents Comparison dialog. The program also has a special adjustment for the number of lines per block to consider when developing the alike vs. different comparison.

Use begins by clicking on the File Compare button (or the File Menu) and using the Compare Files dialog to select the files to merge. The Compare Files dialog is also used to establish parameters such line prefixes, colors, orientation of the preview, line numbering or not, etc. If you elect to do so you can create merge file and automatically launch the File Merge Express editor after the initial comparison report is created. If the file being compared are binary, the editor launches in binary mode. Command line parameters are available to specify files to compare or a script file to use. The program can also be launched from the Windows Explorer right click menu. See Performing Comparisons and click on the graphic below for more help.


Guide - Peform A Comparison

Guide - Perform A Comparison

To perform a file comparison:

  1. Close any open comparison results or editor windows.

  2. Click on the File Compare button or select Compare Files from the File Menu.

  3. Use the Compare Files dialog which follows to select the files to merge. You can type in the file names, select a previous file from the combo box (the [image] buttons) or use the path browsers (the [image] buttons) to navigate to the files.

  4. Make a choice in the Compare Files Dialog for the name of Merge File. The Merge File is a file that contains the combined material from the two files being compared.

  5. Make a choice in the Compare Files dialog about whether or not to automatically launch the editor and open the Merge File after the Comparison Result is generated. is also used to establish parameters such line prefixes, colors, orientation of the preview, etc.

  6. Click on the Merge File tab and make your choice(s) about the line prefix, header & footer strings. These are the strings that will delineate lines that are different between the two files.

  7. Click on the Display Settings tab and make your choice(s) about the alignment of the Comparison Results, whether to ignore whitespace or letter case, whether scrolling should be synchronized in the Comparison Results, and the colors to use for the text in the Merge File.

  8. Click on OK.


Compare Files Settings Dialog

Use this dialog to set up the files for comparison and whether or not to generate a merge file and launch the editor. Click on the graphic or scroll for more information.

File 1: Type in a file name or use the drop down list or browse button to the right to select a file. You can also drag n drop a file from Explorer.

File 2: Type in a file name or use the drop down list or browse button to the right to select a file. You can also drag n drop a file from Explorer.

Swap File Names: Click to exchange File 1 & File 2.

Older File First: Click to make the older of File 1 & File 2 to be the entry for File 1.

Display Merge File: Check to create and open a file in the editor that contains the merge file information.
Leave this unchecked if you do not want to launch the editor. It is OK to have the program generate a Merged File specified in the 'Merge File Name' field but not open that file in the editor.
Note that if you check 'Display Merge File' but do not specify a file name in the 'Merge File Name' field a merge file will not be created.
See Merge File Settings for the prefix, header, & footer text to use in the merge file.

Merge File Name: Supply a file name for the merged file that will be opened in the editor. You can also drag n drop a file from Explorer. Blank out this field if you do not want a merge file to be created. If File 1 and File 2 are same-named (they would be in different paths), the program automatically suggests a Merge File Name of the same name to be written in the same path used for the most recent Merge File.

Note that the Merge File cannot be specified to either of original files. You can use the same file name as one of the files being compared but the Merge File must be then be in a different path from the original.

Copy File 1 Name: Copy the name of File 1 and use it for the name of the Merge File. This copies only the file name itself, not the entire path.

Copy File 2 Name: Copy the name of File 2 and use it for the name of the Merge File. This copies only the file name itself, not the entire path.

History List ( [image] ): A combo list of your most recent entries for the field.

Browse Files ( [image] ): Click for a standard windows Open File dialog to use to supply a file.

OK Button: Accept the settings and close the dialog.

Cancel Button: Close the dialog without any changes.

Help Button: Activates program hlp. F1 does the same thing.


Merge File Settings Dialog

Use this dialog to specify the strings to use (if any) for line prefix & section headers/footers in merged file. Click on the graphic or scroll for more information.

Line Prefix: Enter the line prefix characters to use (if any) to denote the lines that differ between the files being compared in the merge file. Prefix characters are not used in a binary comparison.

Section Headers: Enter the header text to use (if any) to denote the start of sections differ between the files being compared in the merge file. Prefix characters are not used in a binary comparison.

Section Footers: Enter the footer text to use (if any) to denote the end of sections differ between the files being compared in the merge file. Prefix characters are not used in a binary comparison.

Write Common Sections: Check this to include the alike sections of the files being compared in the merge file. Uncheck if you do not want the alike section. Prefix characters are not used in a binary comparison.


Display Settings Dialog

This dialog is used to set up display parameters comparison results for the editor. Click on the graphic or scroll for more information.

Alignment: Make a choice for the Comparison Results Dialog to be side-by-side or file 1 on top in a vertical arrangement.

Text Font: Click this button for a font selector to use to specify the font for the Comparison Results Dialog when text files are compared.

Binary Font: Click this button for a font selector to use to specify the font for the Comparison Results Dialog when binary files are compared.

Ignore Whitespace: Check for a file difference comparison that ignores whitespace (blank spaces).

Synchronize Scrolling: Check to enable to synchronize scrolling in the Comparison Results Dialog.

Show Line Numbers: Check this to include/not include line numbering in the Comparison Results Dialog.

Ignore Case: Check for a case insensitive comparison.

File 1 Color: Activates a color picker to select a color to use for the line prefix, header, & footer (see Merge File Settings) in the merged file editor. Note that colors are not used in a binary comparison.

File 2 Color: Activates a color picker to select a color to use for the line prefix, header, & footer (see Merge File Settings) in the merged file editor.


Comparison Results Dialog

The comparison results dialog is displayed regardless of whether or not you specify to generate a merge file in the Compare Files dialog. Sections that differ are shown in red, moved sections are blue, and identical sections are black. You can move through the various sections by clicking on the green (alike) or red (different) icons in the left side of the dialog or by the blue up/down arrows on the toolbar. You can configure the program to use External Editors that will be launched if you double click on a line in the results.

You can refresh the comparison from the refresh toolbar button or the File Menu. Note however that the merge file is not updated.

Note: The comparison dialog shows alike and different material in colors (see example screen below). In the interest of efficiency and speed, the comparison has a limit of 250 consecutive lines with differences, after which an entire block is marked as 'different' (red) from the point where differences start to the first line where an exact match for the line is found.


Edit Dialog (Text File)

The Edit Dialog contains the combined material from the two files being merged. If the compared files are text, the editor launches in text mode as shown below. If the files are binary, the editor launches in binary mode. The color scheme and delimiters for the tagging are established in the Display Settings dialog prior to the merge. You can move up/down sections by the clicking on the arrow buttons on the toolbar. Many editing tools are available from the menus. A right click context menu is also available by right clicking with the mouse. The Tools Menu has a function to remove the file tagging.

Click on the graphic for more help.


Edit Dialog (Binary File)

When one or both files to be compared are detected as "binary" the edit dialog automatically switches to binary edit mode. If the files are text, the text editor is launched. Click on the graphic below for more help.


External Editors

File Merge Express can launch external text &/binary editors from the Contents Comparison dialog by double clicking on a line in lists. If you do not configure external editors the internal editor will launch when you double click.

Configuration is currently a manual process involving a registry edit. Future versions will add a program GUI dialog for this.

Warning & Disclaimer: The suggestions here involve changes to the Windows registry. Mistakes can cause your computer to become inoperative and may even require you to reinstall your operating system and all your applications. DO NOT PROCEED if you are not thoroughly familiar with making changes to the registry! If you need extra help, write support@funduc.com in advance. We cannot help you if you experiment first and then write us.

Configure an External Text Editor:

This setting is used to launch an external editor when the files being compare are text. The switch is a string value named 'Viewer' under

HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Settings

File Merge Express passes the complete file path and line number via the %path% and %line% switches. %path% must be used. Use %line% only if your editor has a 'go to line X' type of command line switch.

Examples:

This is a sample for 'Notepad.exe' that comes with Windows -

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Settings]

"Viewer"=c:\\windows\\Notepad.exe "%Path%" %Line%

This is an example for TextPad by Helios Software (www.textpad.com)

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Settings]

"Viewer"="C:\\Program Files\\TextPad 4\\TextPad.exe \"%path%\"(%line%,1)"

Configure an External Binary Editor:

This setting is used to launch an external binary editor when the files being compared are binary. The switch is a string value named 'Hex Viewer' under

HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Settings

%path% is available as above for a text editor. When files are binary File Merge Express can also pass the offsets values, %Start% and %End%. %Length% is also available.

Examples:

This is a sample for our own "HexView", a freeware hex viewer -
[HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Settings]

"Hex Viewer"="c:\\tools\\sr\\HexView.exe %Path% -S%Start% -E%End%"

# Note - %Length% can also be used.

This is an example for Hex Workshop by BP Software (www.bpsoft.com). Please note that the long command line is word wrapped here -

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Settings]

"Hex Viewer"="C:\\Program Files\\BreakPoint Software\\Hex Workshop 3.1\\hworks32.exe \"%path%\" /GOTO:%start% /SELECT:%length%"


Editor Tools Menu

The Editor Tools Menu consists of:

Remove remaining file 1 tags: Strip the merge tags for File 1. The tags are configured in the Merge File configuration dialog.

Remove remaining file 2 tags: Strip the merge tags for File 2. The tags are configured in the Merge File configuration dialog.

Remove all remaining tags: Strip all remaining merge tags for all files.

Next Section: Move to the next merge file section according the tags.

Previous Section: Move to the previous merge file section according the tags.


Go To Dialog

The Go To dialog, which is available in the Editor, allows to you to move the active cursor to the line you specify.


Find Dialog

The Find Dialog, which is available in the Editor, can be activated by pressing ctrl+F or from the context menu. The Find dialog has multiple options for making replacements. Regular Expression operators are available. A history of last used strings is available in the combo box via the [image] next to the fields.


Regular Expressions

Regular Expressions based on POSIX standard and are available in the Find and Replace dialogs in the Editor. Basic operators are described here. Search and Replace examples are also available.

The operators are:

Operator | Description
^ | Match the beginning of line
$ | Match the end of line
. | Match any character
[ ] | Match characters in set
[^ ] | Match characters not in set
? | Match previous pattern 0 or 1 times (greedy)
| | Match previous or next pattern
& | Match previous pattern 0 or more times (non-greedy)
# | Match previous pattern 1 or more times (non-greedy)
* | Match previous pattern 0 or more times (greedy)
+ | Match previous pattern 1 or more times (greedy)
{ } | Group characters to form one pattern
( ) | Group and remember
\ | Quote next character (only of not a-z)
< | Match beginning of a word
> | Match end of a word
\x## | Match character with ASCII code ## (hex)
\N### | Match character with ASCII code ### (dec)
\o### | Match character with ASCII code ### (oct)
\a | Match \a
\b | Match \b
\f | Match \f
\r | Match 0x13 (cr)
\t | Match 0x09 (tab)
\v | Match \v
\e | Match escape (^E)
\n | Match 0x10 (lf)
\s | Match whitespace (cr/lf/tab/space)
\S | Match nonwhitespace (!\S)
\w | Match word character
\W | Match non-word character
\d | Match digit character
\D | Match non-digit character
\U | Match uppercase
\L | Match lowercase
\C | Match case sensitively from here on
\c | Match case ignore from here on
\# | Match contents of previously remembered group # (hex - 1-9,a-f)


Regular Expressions Search Examples

Here are some search examples of the regular expression operators that are available in the Find and Replace dialogs in the Editor. Replace examples are also available.

1. Find all trailing spaces:

[ \t]+$

finds one or more spaces or tabs followed by the end of line.

2. Find an empty line:

^$

finds the beginning of a line immediately followed by its end.

3. Find everything on a line:

^.*

finds the beginning of a line, followed by zero or more of any characters, up to the end of the line.

4. Find "$12.34":

\$12\.34

Note that '.' and '$' have been escaped using the backslash to hide their regular expression meanings.

5. Find any valid C language variable name:

\<[ a-zA-Z][ a-zA-Z0-9]*

finds a word starting with an underscore or alphabetic character, followed by zero or more underscores or alphanumeric characters.

6. Find an inner-most bracketed expression:

([^()]*)

finds a left bracket, followed by zero or more characters excluding left and right brackets, followed by a right bracket.

7. Find a repeated expression:

\([0-9]+\)-\1

This uses a tagged expression "\(...\)" to find one or more digits, followed by a hyphen, followed by the string matched by the tagged expression. So this regular expression will find 12-12, but not 12-34.


Regular Expressions Replace Examples

Here are some replace examples of the regular expression operators that are available in the Find and Replace dialogs in the Editor. Search examples are also available.

1. Find any alphabetic word starting with an upper case letter:

[A-Z][a-z]+

and replace with the same word all in upper case:

\U&

2. Find a C language variable name starting with a lower case letter:

\<[a-z][ a-zA-Z0-9]*

and make the first letter upper case:

\u&

3. Find two numeric strings separated by one or more spaces:

\([0-9]+\) +\([0-9]+\)

and swap them around, using a tab to separate them:

\2\t\1

4. Find "paste":

paste

and replace with the contents of the clipboard:

\p

5. To change:

X100000 to X100.000

Y100123 to Y100.123

Z600 to Z.600

Find: \([XYZ]\)\([0-9]*\)\([0-9][0-9][0-9]\)

Replace: \1\2.\3


Replace Dialog

The Replace Dialog, which is available in the Editor, allows multiple options for making replacements. Regular Expression operators are available. A history of last used strings is available in the combo box via the [image] next to the fields. Make your choices for Match Whole Word, Match Case, Regular Expressions, and whether to operate on the highlighted text (if any) or the entire file.


Command Line Paramters

Command Line Parameters

File Merge Express has two command line choices.

1. fmx.exe "File 1" "File 2"

where "File 1" and "File 2" are the full path specification of the files to be compared.

2. fmx.exe "Script File"

where "Script File" is the full path specification to a script file to use.

Quote characters are required if the path(s) contain spaces.


Scripts

File Merge Express can make use of scripts that are launched from the command line. Scripts are ordinary text files that you create manually. Multiple [Action] sections can be used.

The basic syntax is presented below. Use 0 (No) or 1 (Yes) for the on/off switch items (Write Common Sections, Ignore Whitespace, Ignore Case.

[Action1]

File1=d:\Test\Version1.txt

File2=d:\Test\Version1b.txt

File1 Line Prefix=<<1<<

File2 Line Prefix=>>2>>

File1 Section Header=File1 Start.

File2 Section Header=File2 Start.

File1 Section Footer=File1 End.

File2 Section Footer=File2 End.

Compare Output File=d:\Test\FMXOutput.txt

Synch Scrolling=1

Write Common Sections=1

Ignore Whitespace=1

Ignore Case=0

File Compare Align=0

File 1 Color=8388608

File 2 Color=255

Quiet Mode=0

Show Line Numbers=1

Font Name=Verdana

Binary Font Name=Courier

Font Size=10

Binary Font Size=10


Acknowlegements

Acknowledgements

Portions of File Merge Express are based on EditPad, a freeware syntax highlighting programmer's editor by Ferdinand Prantl (prantl@ff.cuni.cz) with contribution by Stcherbatchenko Andrei (windfall@gmx.de), Marko Macek (Marko.Macek@gmx.net or mark@hermes.si), Sven Wiegand (sven.wiegand@gmx.de), & other folks at MFC Codeguru (www.codeguru.com).

The source code and compiled .exe for EditPad are available from Codeguru).

Thanks to Ernie Allen (eallen@mediaone.net) for graphics design for Funduc Software, beta testing, advice, and ground work on our web site.

Finally, thanks to you, our customers, for your suggestions & support!


License Information

File Merge Express
Copyright (c) 1999-2010 by Funduc Software Inc.
All rights reserved.

See Ordering Information for information on how to purchase File Merge Express.

License Agreement and Warranty Disclaimer

You should carefully read the following terms and conditions before using this software. Use of this software indicates your acceptance of these terms and conditions. If you do not agree with them, do not use the software.

Copyright and Other Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the licensed version of the program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, or otherwise reducing either shareware or licenses versions of the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

Shareware Version

The shareware version is not free software. If you are using the shareware version you are hereby licensed to use this software for evaluation purposes without charge for a period of 60 days. If you use this software after the 60 day evaluation period a registration fee is due (see Ordering Information).

If you are using the Shareware Version of the software you are also hereby licensed to: Make as many copies of the Shareware version of this software and documentation as you wish; Give exact copies of the original Shareware version to anyone; Distribute the Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of File Merge Express after the 60-day evaluation period is in violation of federal copyright laws.

You may not decompile, disassemble, or reverse engineer File Merge Express (shareware) in any manner.

Registered Version License

One registered copy of File Merge Express may be dedicated to a single person who uses the software on one or more computers or workstations that are for their own exclusive use and for which they are the sole user.

A single user license may be used to process as many files on as many drives or network shares as you like. However, a single user license registration may not be made available in any form to multiple users or workstations.

Licensing is not based on "concurrent" users. If multiple workstations are to access the program in any form and for any length of time you must purchase licenses for the number of users that will access the program. If you make the registered version of File Merge Express available through a network and accessible by multiple users or workstations you are required to purchase licenses for the software covering all workstations that will access the software through the network. Special pricing is available for multiple licenses. See Ordering Information for information on how to purchase (register).

You may not decompile, disassemble, or reverse engineer File Merge Express (registered) in any manner.

Ownership Rights

Funduc Software, Inc. owns and retains all copyrights, patents, trade secret rights, trademarks and intellectual property rights to this software. Registration &/or use of the software does not grant you any right to the intellectual property in the product.

Customer Support

Customer support can be obtained by visiting our homepage at www.funduc.com or www.searchandreplace.com by E-MAIL (support@funduc.com).

Copyright and Other Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the licensed version of the program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, or otherwise reducing either shareware or licenses versions of the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

Governing Law

This agreement shall be governed by the laws of the State of Michigan, United States.

Disclaimer of Warranty

This software and the accompanying files are sold "as is" and without warranties as to performance of merchantability or any other warranties whether expressed or implied.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. Any liability of the seller will be limited exclusively to product replacement or refund of purchase price.


Customer Support

Customer Support Information

If you have a question that is not answered in the documentation, contact us directly by E-MAIL at support@funduc.com. Please give as much detail as possible about the operation you want to perform and what the difficulty is.

To report a bug, E-MAIL: support@funduc.com..

Shareware Users: We will do our best to answer your questions, however, please understand that ongoing support necessitates that you register File Merge Express.

We welcome suggestions for improving File Merge Express. If you have an idea, first check the documentation and README.TXT file to make sure they are not already implemented or planned. If not, drop us a note at support@funduc.com.

For ordering information, please see Ordering Information.

Thank you for using Funduc Software products!


Ordering Information

Funduc Software - Purchasing & Ordering File Merge Express

The base price of File Merge Express is $25/single user, plus $8 to $10 S&H if you want a diskette sent by US or International mail. Email delivery is free. Quantity discounts are listed in the fax/mail order form and on our WWW site, www.funduc.com.

Registration includes free program updates and customer support (by Email) for one year. Updates are sent to registered customers as they become available. They incorporate your suggestions, so please send them! If you have problems receiving the program or need customer support, contact us by Email at support@funduc.com.

Credit Card Registration:

  • Secure Internet Transaction: If you have a secure Web browser such as Netscape or Internet Explorer, you may register by credit card via a secure Web transaction from our web site at: www.funduc.com.

  • Fax Registration: To register using a credit card via fax, open and print the fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Please check our web site - www.funduc.com/contact.htm - for the fax number to use. Fax orders are processed within a few hours during the USA business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

  • Phone Registration: Call the number indicated on the page at www.funduc.com/contact.htm to order using a credit card. Please specify that the order is for File Merge Express. Phone orders with email delivery are typically processed within one business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

Ordering by check: Open and print the fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Mail the form and a check to the address indicated on the form. Please allow 7-10 days for check order processing and then contact support@funduc.com if you did not receive the program. Payments must be in US dollars drawn on a US bank or international postal money order in US dollars. If you send a postal money order, do so only by some form of registered mail that can be traced!


Funduc Software Products

Please visit our Web site at http://www.funduc.com for more information, freeware, shareware, and purchases of these and other products.

Search & Replace

Search and Replace is our award winning utility loved by programmers, webmasters, and novice computer users alike. If you need to find and replace text, or just find text, this utility is a must have.

Search and Replace looks through multiple files for a string and can also replace it with another string. It can search subdirectories and ZIP files and do case sensitive or insensitive searches. Extensive support for regular expression (egrep) search & replacement includes operations that span more than one line, insertion of the path & filename during replacements, and incrementing number replacements. Binary search & replace mode can be combined with regular expressions. Precise control over replacements is available through multiple confirmation options and a built-in context viewer that allows you to view replacements in- context, before they are made. An HTML Mode can be used to make html special character code substitutions during search/replace. Ignore Whitespace mode makes it convenient to handle spaces & cr-lf during non-regular expression operations. A built-in script editor makes frequent &/or complex multi-step search/replace operations easy to prepare. Advanced script operations include a boolean expression evaluator that provides additional control over which files are processed by the script. Advanced scripts also allow you to specify the program options in effect, insert comments in scripts, and perform iterative script operations. Multiple file masks and file date & size filters can be used to include &/or exclude files during regular and scripted operations. The internal context viewer includes a build-in editor for editing text files. The full complement of command line switches (including script launching) is ideal for network managers & advanced users. Other functions include: "Touch" files (change time/date stamp & file attributes); Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reports to monitor operations; Shell extensions to launch Search & Replace from Explorer and the Find Menu; and more. A detailed help file with examples are included. Several foreign language interface are available from ttp://www.funduc.com.

Search and Replace has received several awards from WUGNET® (Windows User Group Net) Windows NT Shareware Pick of the Week (www.wugnet.com/shareware), Windows Magazine (www.winmag.com) Superior Shareware, and has been featured several times in Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars, & a TUCOWS (www.tucows.com) 5 Cow rating.

Search and Replace Regular Expression Wizard

Search and Replace Regular Expression Wizard is a step-by-step wizard to help you build regular expressions for use in Search and Replace. The expressions can be constructed from a menu of operators having English language counterparts. The impact of the operators is displayed in color coded form on a sample text you provide. You can move back & forth between search operators - replace operators - final results to adjust your expressions as necessary. When finished, the final expressions are inserted into the corresponding Search and Replace fields if Search and Replace is running. The Wizard itself is freeware. Documentation requires a one time purchase. Search and Replace Regular Expression Wizard is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Directory Toolkit

Directory Toolkit is a multipurpose directory comparison and file manager that provides features missing from Windows. It displays single directory lists or side- by-side directory comparisons using color coding for alike, different, or missing files. Comparisons can be based on dates or a binary file analysis of file content. You can copy, move, & rename files while retaining long filenames and six built-in synchronize functions simplify updating directories. Built-in archive functions, with Explorer shell extensions, let you create & manage archives from Explorer and use Directory Toolkit as your primary archive manager for supported archives (zip, tar, gz, lz (read only), & cab). File operations and directory comparison functions work seamlessly on files in archives, e.g., no need to manually extract files first. Other features include statistics for file counts and path sizes; Ignoring filename case during comparisons; Explorer compatible OLE drag n Drop; Split/Concatenate files to/from diskettes; Encode/Decode UENCODE, Base64(Mime), BinHex(Mac), XXENCODE and yEnc formats, (Decode also includes quoted-printable, 7 bit unencoded, & plain text); An integrated comparison viewer for a color coded display of the actual differences in files; Safe physical sort of directories; Touch files (change time/date & attributes stamps); Find duplicate files on a drive; Open files and launch applications; Multiple include/exclude file masks and the ability to include/exclude files based on size and date; Command line switches & script functions to automate comparisons & synchronize operations & control program options in effect via batch files; Configurable output file and print functions to create reports of single and comparison directory lists; Detects & runs (optionally) setup programs in archives; Display file version information including 8.3 file name equivalents; File numbering to number files sequentially based on adjustable sort order and a user defined starting value. Help file with examples included. International versions are available from http://www.funduc.com.

Directory Toolkit has been a winner of the WUGNET® Windows NT Shareware Pick of the Week for (www.wugnet.com/shareware), WUGNET® Windows95 Best Choice Shareware for the week, and featured Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars.

Funduc Software ZIP Extractor

Funduc Software ZIP Extractor is ZIP "self-extractor stub" that lets you turn your ZIP files into a self-extracting executable that will automatically unZIP the archive when launched. This allows you to share your zip files with another person who might not have an unzip software on their computer &/or who might have only occasional use for an unzip tool. The self-extractor allows some or all files to be extracted and can create the paths in the zip file (default) or "flatten" the directory structure (unzip into a single path).

Replace Studio

Replace Studio is a cousin to our award winning Search and Replace utility. Replace Studio searches through one or more files for a string and can replace that string with another string. Choices for search settings include: Subdirectory Search; Archive Search (Zip, Tar, Tar.Gz, Tar.Z, Tgz, Taz); Case Sensitive; Whole Word; Ignore Whitespace; HTML Mode. File Masks and file size &/or date Filter settings are available for further choices about the files to be processed. Like Search and Replace, Replace Studio has extensive regular expression (egrep) search & replacement functionality for complex search/replaces. A Favorites menu and script editor simplifies user control over frequent &/or complex multi-step search/replace operations. Replacements in files in supported archives can be done directly - no need to manually extract files first. A built-in Context Viewer allows you to view &/or manually edit the files found by the search. The many additional options include: Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reporting; Control over results list sorting; File Operations on files found by the search; Launch Explorer on the search results path of a file; Settings to use alternative viewer/editor on found files; Automatic locale-based international versions for supported languages; and more. Replace Studio comes in 32-bit and 64-bit versions for Windows XP and above. Two flavors are available: Pro and Business. The Pro version is intended for use as a graphical interface program while the Business version is oriented towards script-based & command line use, where a graphical interface is not required.

Resource Translation Toolkit

Resource Translation Toolkit (RTT) is utility to simply translation work on po, rc, and tmx files. Various translation suites are available but they are expensive or limited to a single file type. Resource Translation Toolkit is low cost and can work with multiple file types. The program runs on Windows 2000 and above, is small in size (approx 3 MB including support files), and does not place extensive demands on your computer. RTT uses a 'Translation Memory' file, which can be in a TMX or POT format. The program simplifies translation by first removing mnemonics (accelerator keys), shortcut keys (such as Ctrl+C) and punctuation characters from menu and other control text, sorting and consolidating duplicates and presenting them for translation.

Registry Toolkit

Registry Toolkit lets you search &/or replace and edit the Windows registry. You can specify the data types to process, start key, case sensitive, whole word. Regular expression operations using an egrep-type syntax are also available. You can create/edit keys, values, &/or data manually if you wish. A unique 'operations' function lets you move/copy/delete/export values you select. For example, you can copy/move keys from one location in the registry to another. The program now maintains multiple 'undo' files that can be used to reverse previous changes (10 is the default). An automatic 'last change' undo is available from the program GUI. Replaces can be previewed in advance, in-context. Replaces can also be previewed in the context of an overall search - a comparison dialog then lets you select/deselect specific operations to perform before making the overall replace. The program can print search & registry browse results. The .reg import function allows you to compare existing data vs. data to be imported - specific items can then be selected/deselected. The .reg export function can be used to make special .reg files that delete keys when merged via Registry Toolkit or our new Registry Toolkit Merge program (see our web site). The various program comparison dialogs are configurable and their contents can be copied to the windows clipboard. The program can read DOS environment variables and use them in a search/replace. Script file & command line functions are available for automated &/or complex operations. Registry Toolkit will operate on a remote registry (if you have permission to do so). A German interface is available.

Registry Toolkit Merge

Registry Toolkit Merge is a companion program for Registry Toolkit. Registry Toolkit Merge is a command line that merges .reg files into the Windows registry. Registry Toolkit Merge is unique because it can be used to create self-contained, self-importing .exe's. When clicked on, the .reg information is imported into the registry (after confirmation). This is be useful, for example, if you need to distribute a .reg file to others but are worried that they might not know how to import a .reg file manually. Alternatively, a .reg file can be passed to the program from the command line. Like Registry Toolkit, the program can be used to apply .reg files that will delete keys from the registry or copy/move them to another location -- tasks that cannot be accomplished easily by the regedit.exe .reg merge function that comes with Windows.

Folder Synchronize

Folder Synchronize is a command-line utility useful to network administrators and other power users. It provides a subset of the functions in our Directory Toolkit utility, namely, the comparison & synchronize functions. We created Folder Synchronize for those who needed those functions but not the GUI interface & other functions of Directory Toolkit such as archive management, file operations, etc. Folder Synchronize is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Folder Synchronize can synchronize two paths using one of 6 synch methods. The program can also do a comparison-only. This is useful with the output report function. When the output report is enabled it will contain a summary of the path comparison &/or a summary of the file operations carried out by the synchronize. Other features include: Switchable display (or not) of a progress meter; A custom bitmap & message of your choice can be displayed on the screen while an operation progresses; A 'No Cancel' switch can be used to make it less easy for a procedure to be interrupted; Require (or not) confirmation of file operations; Complex include/exclude file masks that let you include/exclude some file or subdirectories while including others; Multiple operations can be submitted to the program via multiple 'configuration files'.

Folder Synchronize Script Editor

The 'Script Editor' is used to generate (or edit) script files that can then be used with Folder Synchronize or our Directory Toolkit utility. The script switches are presented in an organized arrangement. The display of related switches can be collapsed/expanded for readability. Folder Synchronize Script Editor is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Application Mover

Application Mover is a tool that relocates installed programs from one path to another on your hard disk. Application Mover takes files found one path and moves them to another that you specify. Application Mover scans the windows registry for references to old file location and adjust the registry to the new location. Application Mover also scans all windows shortcuts in the Start Menu and adjusts those as well. *.ini and *.log files present in the program's path are updated to reflect the new location of your program. Application Mover is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Application Inventory

Application Inventory is a utility that scans your system for program .exe files and generates a configurable report about the files that were located. Optional follow-up scans are then initiated to cross-reference the initial scan results with windows .lnk shortcuts and/or references in the windows registry. Further details on files are available from Properties and References dialogs. Include and exclude filters are available to define the initial search by path &/or string(s) found in file version information. The fields included in the initial file scan are configurable. Results be sorted, copied to the clipboard, printed, or saved in a delimited file you specify. Application Inventory can also launch windows explorer on the path containing a file in the results list. Although Application Inventory is intended as a reporting tool, various windows properties sheets can be launched that allow you to make edits to file or shortcut properties. The program defaults to scanning for .exe files but a special switch is available to scan for another file type that you specify. Application Inventory is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Duplicate File Finder

Duplicate File Finder is utility that locates duplicate files on in one or more paths. Unlike other utilities that only check file names, Duplicate File Finder performs a binary comparison of file contents and can locate files that are alike regardless of names. The path(s) to scan is configurable by file path and file mask(s) and filter settings can be used to include/exclude files by date, size, attribute. Results can be saved to a tab delimited file. Supplementary functions include launching files, deleting files to the recycle bin, opening Explorer on a path, and examining file properties. Duplicate File Finder is available in 32-bit or 64-bit (x64) versions for Windows XP and above.

FSDBMgr - A Freeware Database Manager for SQLite

FSDBMrg (Funduc Software Database Manager) is an open source, customizable database manager for SQLite. The source code and compiled working demo with a sample database is available on our www site. SQLite was our choice for the database but the program can be easily modified to work with any database for which an ADO .Net provider is available. The demo code includes functions to: Find & modify customer and purchase history; Importing records saved in text format; Saving and running custom SQL; Generating pdf receipts; Tracking sales tax.

File Merge Express

File Merge Express is a file comparison and merge utility for 32 bit Windows. The program displays a contents comparison of two files and can (optionally) create a third file, 'Merge File' that consists of the merge of the two files being compared. The Merge File can (optionally) be opened in the built-in text (or binary) editor. The program has options for file naming of the Merge File, including automatic naming when the two source files for the comparison have the same name. The Compare Files dialog is also used to establish parameters such line prefixes, colors, orientation of the preview, etc. Command line parameters are available to specify files to compare or a script file to use. The program can also be launched from the Windows Explorer right click menu. File Merge Express will also supplement our Directory Toolkit utility. If both programs are installed, Directory Toolkit's file contents comparison will automatically employ File Merge Express, which has more features than Directory Toolkit's internal routine. File Merge Express is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Delivery Agent

Delivery Agent is a send-only e-mail program, with mail merge functions, for use by web site managers, network administrators, customer relations and support personnel, etc. The program is used to deliver frequently used, customer-requested e-mail messages (& MIME attachments) such as newsletters, product delivery & announcements, support notes, etc. Messages can be sent to one or more users by selecting a message from a list and entering the users' address. The program can read a text file containing a list of addresses for bulk delivery. Recipients of bulk deliveries are shielded from seeing the other recipients in the list. The program checks a POP e-mail account prior to sending message via SMTP - useful for servers that 'validate' the users current IP address prior to mail relays. Version 3.0 adds MAPI support. When activated, the program will route outgoing messages to your primary MAPI-aware e-mail program. Mail merge field name definitions, variable names, and data are stored in a single file containing the data and e-mail addresses. Variable names can be anything you like (except for the name of the e-mail address field). Mail Merge 'Constants' can also be defined. The program has a customizable header function that can be used to send web mail' or 'HTML mail'. The "To: " field can also be customized for bulk, non- mail merge deliveries. Port settings to use and maximum number of recipients per block can be configured manually. Settings and messages can be created via the program GUI or, once you are familiar with the program, via an external text editor. A full complement of command line switches allows the program to be incorporated into your .bat routines. A log file of deliveries can be enabled (or not).

Shortcut Doctor

Shortcut Doctor allows you to check your Windows links/shortcuts and see which contain targets which can no longer be found. The program can then delete the shortcuts, resolve them, or carry out search/replace operations to modify shortcut fields with or without validation of new paths. Network Drive mappings can be inserted in the Replace dialog automatically. Individual shortcuts can be edited and all shortcuts on a drive can be displayed, regardless of whether they are valid or not. Explorer Internet URLS can also be checked for problems. CD-ROM drives, network drives, and specific paths can be ignored during processing. Includes an Empty Recent Documents button. Script files, run from the command line, allow you to do multiple operations, control program options, and easily specify complex paths. A German interface is available. Shortcut Doctor is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Funduc Explorer Extensions

Explorer Extensions is a collection of enhancements for the Windows Explorer right-click context menu: a) Encode and Decode Email attachments - support for UUENCODE, Base64(Mime), BinHex(Mac), XXENCODE, quoted-printable, 7 bit unencoded, & plain text, b) Split and Concatenate large files into smaller ones for storage on floppies & visa versa. Split can be based on file size or a string found in a file, c) Touch files - change the time, date, & attributes of files. Touch can add (or subtract) a user specified time value from the current file time. d) File Operations - copy/move/rename/delete files using complex file masks. The program can also change the case of file names & number files. Explorer Extensions is available in 32-bit and 64-bit (x64) versions for Windows XP and above. A German version is available.

Drive Bar

Drive Bar allows you to conveniently open views of your drives in the Windows Explorer. Drive Bar's Auto Hide function allows it to disappear from view when not in use so that it does not take up screen space. Drive Bar is resizable and can be set to remain visible at all times. It can also be set to launch alternative file manager programs in lieu of Windows Explorer, launch views as "Tiled" or not, ignore specified drives in the list of drive icons, and run automatically at Windows startup.

Update Toolkit

Update Toolkit is a multi-purpose application intended for administrators network managers. This program was created for those who need some or all of the separate functions of our Folder Synchronize, Shortcut Doctor, Registry Toolkit, and Search and Replace utilities under one command line application. Operations are controlled by scripts and are highly configurable. While Update Toolkit can be used on individual machines, it is oriented toward 'logon-script' operations for workstations. The program has no user interface and therefore is well suited for automated operations.

Count Characters (freeware)

Count Characters copies most Windows controls' data to the clipboard! That's just one of the features of this freeware program from Funduc Software. The program can report the type and content of some of the windows currently displayed on your desktop and for the most popular types of controls (including lists and trees) it can copy their contents to the clipboard. You can also copy the contents of password fields and regular text boxes. Cost: Fre.

Decode Shell Extension (freeware)

Decode Shell Extension is very popular freeware app is an extension for the Windows Explorer. The program allows you to decode Internet email attachments by right-clicking on a saved message file from Explorer and selecting Decode from the menu. The program supports multiple attachments, multi-part files (already concatenated), UUENCODED, Base64(MIME), BinHex (Mac format), quoted-printable, XXENCODED, plain text files, and User (table) encoded files. If the attachment contains only one file, Decode Shell Extension will offer to open it using either the associated program or Notepad. For virus safety reasons, it will not offer to launch .exe., .com, .bat, & .cmd files. You should scan decoded Word and Excel files with your anti-virus checker before loading them.

Word Search and Replace

Word Search and Replace is a freeware macro for Microsoft Word. It uses the 'find and replace' functions of MS Word to perform a search/replace in one or more files selected by a file mask supplied by the user. We created 'WordSR' for those who need to search/replace in Word documents only. The macro can use the Word 'Pattern Matching' regular expression switch. Case Sensitive and Whole Word search/replace is also possible

Excel Search and Replace

Excel Search and Replace is a counterpart to our Word Search and Replace. This is a freeware macro for Microsoft Excel that searches (and replaces) in multiple .xls files using Excel's built-in find & replace function.

PowerPoint Search and Replace

PowerPoint Search and Replace rounds out our collection of freeware find and replace Office Macros. This macro is a PowerPoint .ppt file that works with MS PowerPoint files using the find and replace functions that are part of PowerPoint. You need to have the full version of PowerPoint installed. The macro can be run as a slide show but it will not work if you only have the PowerPoint Show Viewer from Microsoft.

TZAdjust (freeware)

TZAdjust, which stands for Time Zone Adjust, is a freeware app we created for users who find it necessary to make manual changes to the Windows time zone and 'day light savings' offset parameters. TZAdjust is probably of greatest interest to Windows NT-class users. NT/2000/XP returns time information as an offset from Greenwich Mean Time (GMT). In addition, the OS automatically makes Daylight Savings compensations when reporting file times. One can disable "Automatically Adjust for Daylight Savings" entirely in the Windows Day/Time Properties dialog but there may be other instances where finer control over time zone and the daylight offset is desired. Do not use TZAdjust casually. Be sure to read the information in the 'readme.txt' before using this program.

FS Touch (freeware)

Funduc Software Touch is a free 'touch' utility to change the time/date & attribute stamps on one or more files. The program can be run from a graphics screen or from the command line. The program runs on Windows XP and above.

HexView for Windows (freeware)

HexView is a multiple document Hexadecimal viewer that can display, print, and print preview any file as a hex dump. It is intended as a supplement for Search and Replace for Windows, however, it is a standalone app and does not require Search and Replace. A Japanese version is available.

Limit Edit (freeware)

Limit Edit expands upon the built-in limit feature for edit boxes & rich edit controls by letting you set your own maximum size settings for the amount of text permitted in edit boxes and rich edit controls. For example, Limit Edit can set a limit on the amount of text allowed in an instance of the Notepad text editor. The Limit Edit dialog also displays interesting information about the types of controls in use by a program. Although intended for edit boxes and rich edit controls only, it may also work on some other controls that are subclasses of these. Separate 16 and 32 bit version included.


File Open Dialog

Allows you to choose a file to open. This is a standard Windows dialog. Pressing F1 will bring up some standard Windows help popup tips.

The primary fields are:

File Name: Select or type the name of the document or program you want to open. This box lists documents with the file name extension selected in the List Files Of Type box. You can use the mouse or cursor to navigate through the file/folder display above the File Name field. To see a list of files with a particular extension, type an asterisk (*), a period, and the three-character extension, and then press ENTER in the File Name field. To see files with more than one file name extension, type a semicolon (;), a second asterisk (*), a period, and another three-character extension. For example, if you want to see all files with the .TXT extension and all files with the .INI extension, type *.txt;*.ini.

List files of Type: Select the type of files you want to see in the File Name list.

Directories: Select the directory where the files you want reside.

Drive: Select the drive where the files you want reside.

OK button: The file you selected will be used.

Cancel button: The file will not be used.


Cancel Button

Cancel Button: Close the dialog without any changes.


Browse Files

Browse Files: Click for a standard windows Open File dialog to use to supply a file.


Compare Files Button (CompP)

Compare Files Button: Activates the Compare Files dialog.


Copy Button (CompP)

Copy Button: Inactive in the Comparison Results dialog.


Cut Button (CompP)

Cut Button: Inactive in the Comparison Results dialog.


Display Merge File

Check to create and open a file in the editor that contains the merge file information.

Leave this unchecked if you do not want to launch the editor. It is OK to have the program generate a Merged File specified in the 'Merge File Name' field but not open that file in the editor.

Note that if you check 'Display Merge File' but do not specify a file name in the 'Merge File Name' field a merge file will not be created.

See Merge File Settings for the prefix, header, & footer text to use in the merge file.


Down Button (CompP)

Down Button: Move to the next section in the Comparison Results.


Edit Menu (CompP)

Edit Menu: Activates the Comparison Results Edit Menu.


File 1

File 1: Type in a file name or use the drop down list or browse button to the right to select a file. You can also drag n drop a file from Explorer.


File 2

File 2: Type in a file name or use the drop down list or browse button to the right to select a file. You can also drag n drop a file from Explorer.


File Menu (CompP)

File Menu: Activates the Comparison Results File Menu.


About Button (CompP)

About Button: Activate the About dialog.


Help Menu (CompP)

Help Menu: Activates the Comparison Results Help Menu.


History List

History List: A combo list of your most recent entries for the field.


Merge File Name

Merge File Name: Supply a file name for the merged file that will be opened in the editor. You can also drag n drop a file from Explorer. If you do not want a merge file to be created blank out this field. If File 1 and File 2 are same-named (they would necessarily be in different paths), the program automatically suggests a Merge File of the same name to be written in the same path used for the most recent Merge File.


Copy File 1 Name

Copy File 1 Name: Copy the name of File 1 and use it for the name of the Merge File.


Copy File 2 Name

Copy File 2 Name: Copy the name of File 1 and use it for the name of the Merge File.


Older File First

Older File First: Click to make the older of File 1 & File 2 to be the entry for File 1.


Paste Button (CompP)

Paste Button: Inactive in the Comparison Results dialog.


Print Button (CompP)

Print Button: Print the Comparison Results dialog.


Refresh Button (CompP)

Refresh Button: Refresh the Comparison Results. This button is dim when the Editor is active. F5 does the same thing.


Save Button (CompP)

Save Button: Save the Comparison Results to a new file. This does not change what is displayed in the Editor.


Swap File Names

Swap File Names: Click to exchange File 1 & File 2.


Up Button (CompP)

Up Button: Move to the previous section in the Comparison Results.


View Menu (CompP)

View Menu: Activates the Comparison Results View Menu.


Window Menu (CompP)

Window Menu: Activates the Comparison Results Window Menu.


Compare File Display1

Comparison List: The list contains the sections that are different or alike in the two files. Sections denoted with green icons are the same while red denotes differences. File Compare will also note missing sections.


Compare File Display2

File Contents Windows

The contents of the file as compared to the other file are displayed here. In this example, the two contents are aligned horizontally. They can also be aligned vertically (side by side) (see Display Settings). Sections that differ are shown in red, moved sections are blue, and identical sections are black. If the file are binary, the display will show the binary data to the left and text to the right. You may mark and copy selected information from these areas to the clipboard.

Line Numbering can be enabled/disabled in the Display Settings. You may with to disable Line Numbering if you will be doing much copy & paste from File Merge Express to the clipboard.

If you have configured your installation to use external editor(s), double clicking on a line will launch the app you specified. If you have not configured your installation external editors, double clicking a line will launch the internal editor.

A right click context menu is available.

You can also Drag N Drop files from Windows Explorer into these display areas. Click on the Compare Button to initialize the compare are a drag N drop.


Compare File Selector1

File Button 1: If no file is selected, the title on this button will be "Select (or Drop) File." Clicking here will activate an Open File dialog which you can use to select a file. Alternatively, you can Drag N Drop a file from Explorer into the display area below this line.


Compare File Selector2

File Button 2: If no file is selected, the title on this button will be "Select (or Drop) File." Clicking here will activate an Open File dialog which you can use to select a file. Alternatively, you can Drag N Drop a file from Explorer into the display area below this line.


Comparison Results Context Menu

A context menu for some marking and clipboard operations is available by right clicking in the content area of the Comparison Results dialog. Comparison Results cannot be edited directly so items like 'Paste' or 'Undo' are meaningless.

Double clicking on a line in the dialogs will launch the internal editor or, if your setup is so configured, an external editor.


Funduc Copyright

File Merge Express

Copyright © 1995-2010 Funduc Software, Inc.
All Rights Reserved
www.funduc.com www.searchandreplace.com

See Ordering Information for details on how to purchase File Merge Express or write us at support@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com or support@searchandreplace.com Also check our web site for product information, trialware & freeware downloads of our other award winning software products.


Special Adjustment - Difference Block Size

In the interest of program speed, File Merge Express defaults to a 'difference block' size of 250 lines when generating the alike and different color coding for Contents Comparison dialog. By default, if 250 lines in a row are 'different' the program will cease trying to generate a detailed display and will instead consider the entire block as different. At the next 'alike' line beyond this point the difference block resets and the program will again try to develop a detailed display.

The 250 line setting can be changed via a manual registry edit. Please read through this topic for some instructions.

Warning & Disclaimer: The suggestions here involve changes to the Windows registry. Mistakes can cause your computer to become inoperative and may even require you to reinstall your operating system and all your applications. DO NOT PROCEED if you are not thoroughly familiar with making changes to the registry! If you need extra help, write support@searchandreplace.com in advance. We cannot help you if you experiment first and then write us.

The setting in question is a dword value named 'Max Lines Show Diff' under
HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Compare Files

The default setting is:

REGEDIT4

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Compare Files]

"Max Lines Show Diff"=dword:000000fa

A setting of 1000 lines would be:

REGEDIT4

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\File Merge Express\Compare Files]

"Max Lines Show Diff"=dword:000003e8

A zip named 'FMX_DifferenceSize.zip' containing an information .txt file and some sample .reg files you can merge is included with the program distribution.


Alignment

Alignment: Make a choice for the Comparison Results Dialog to be side-by-side or file 1 on top in a vertical arrangement.


Binary Font (P)

Binary Font: Select this for a font selector to use to specify the font for the Comparison Results Dialog when binary files are compared.


File 1 Color

File 1 Color: Activates a color picker to select a color to use for the line prefix, header, & footer (see Merge File Settings) in the merged file editor.

Note: Colors are not used in a binary comparison.


File 2 Color

File 2 Color: Activates a color picker to select a color to use for the line prefix, header, & footer (see Merge File Settings) in the merged file editor.

Note: Colors are not used in a binary comparison.


Ignore Case

Ignore Case: Check for a case insensitive comparison.


Ignore Whitespace

Ignore Whitespace: Check for a file difference comparison that ignores whitespace (blank spaces).


Show Line Numbers (P)

Show Line Numbers: Check this to include/not include line numbering in the Comparison Results Dialog.


Synchronize Scrolling

Synchronize Scrolling: Check to enable to synchronize scrolling in the Comparison Results Dialog.


Text Font (P)

Text Font: Select this for a font selector to use to specify the font for the Comparison Results Dialog when text files are compared.


About Button (EditP)

About Button: Activates the About dialog.


Address

Address: File Offset information. This can be displayed or not, and in wide format or not, via the Format Menu.


Ascii

Ascii: Ascii counterpart. This can be displayed or not, and in wide format or not, via the Format Menu.


Bookmark (EditP)

Bookmark: Present only if bookmark(s) are established and if the Selection Margin is enabled from the Editor View Menu.


Comparison Dialog (EditP)

Comparison Dialog: The Comparison Results dialog. This may not be visible depending on your window arrangement.


Compare Files Button (EditP)

Compare Files Button: Activates the Compare Files dialog.


Copy Button (EditP)

Copy Button: Copy the highlighted text to from the Editor or the Comparison Results dialogs to the clipboard. This is dim if nothing is highlighted.


Cut Button (EditP)

Cut Button: Remove the highlighted text in the Editor. This is dim if nothing highlighted in the Editor and dim in the Comparison Results dialog.


Edit Dialog Context Menu

A context menu for selected editor functions is available by right clicking with the mouse in the edit dialog. Functionality of the different items will vary depending on the specific context of the cursor.

Context Menu - Text Edit | Context Menu - Binary Edit


Down Button (EditP)

Down Button: Move to the next section in the Editor or the Comparison Results dialogs.


Edit Menu (EditP)

Edit Menu: Activates the Editor Edit Menu for a Text File or Binary File or the Comparison Results Edit Menu.


Edit Menu (EditBP)

Edit Menu: Activates the Binary Editor Edit Menu.


File 1 Contents (EditP)

File 1 Contents: Contents of file 1. The color is configured in the Display Settings Dialog.


File 2 Contents (EditP)

File 2 Contents

Contents of file 2. The color is configured in the Display Settings Dialog.


Edit File Menu (EditP)

File Menu: Activates the Editor Edit Menu for a Text File or Binary File or the Comparison Results File Menu.


Edit File Menu (EditBP)

File Menu: Activates the Binary Editor File Menu.


Editor Format Menu (EditP)

Editor Format Menu: Activates the Editor Format Menu. This is only available when editing a binary file.


Help Menu (EditP)

Help Menu: Activates the Editor Help Menu or the Comparison Results Help Menu.


Hex Code

Hex Code: Hex Code. This can be displayed, or not, and the number of bytes displayed, via the Format Menu.


Comparison Results Edit Menu

The Comparison Results Edit menu currently has no active items.


Editor Edit Menu (Text File)

The Editor Edit Menu consists of:

Cut: Remove the highlighted text, if any.

Copy: Copy the highlighted text to the clipboard.

Paste: Paste clipboard contents into the document at the current cursor position.

Delete: Delete from the cursor or delete the highlighted material.

Find: Activates the Find Dialog. ctrl+F does the same thing.

Find Next: Find the next instance of the string present in the Find Dialog. F3 does the same thing.

Find Incremental Next: Finds the next occurrence of the last written character pattern.

Find Incremental Previous: Finds the previous occurrence of the last written character pattern.

Replace: Activates the Replace Dialog.

Go to Line: Move to the line you specify via the Go To Dialog.

Go to Last Change: Move to the point of the last change made.

Change Case: Select the case change items from the submenu - Lower Case; Upper Case; Capitalize; Sentence; Invert.

Auto Complete: Completes the current word being typed based on presence of a similar word beginning with the same characters at a previous point in the document.

Auto Expand:

Match Bracket: Locate & move to the next bracket character matching the one the cursor is currently on.

Read Only: Mark the document as read-only.

Bookmarks: Establish (or clear) bookmarks from the submenu. Note: Bookmark positions can be visualized by turning on the Selection Margin in the View Menu.

Goto Bookmark: Select a bookmark from the submenu and jump to it.

More Bookmarks: The submenu here provides additional bookmark functions.


Editor Edit Menu (Binary File)

The Editor Edit Menu consists of:

Undo: Reverse the last change made.

Cut: Remove the highlighted text, if any.

Copy: Copy the highlighted text to the clipboard.

Paste: Paste clipboard contents into the document at the current cursor position.

Delete: Delete from the cursor or delete the highlighted material.

Select All: Highlight the entire file.


Paste Button (EditP)

Paste Button: Paste clipboard contents into the Editor document. This is dim in the Comparison Results dialog.


Print Button (EditP)

Print Button: Print the active Editor document. This is dim in the Comparison Results dialog.


Refresh Button (EditP)

Refresh Button: The refresh button is dim when the Editor is active. When the Comparison Results dialog is active it will refresh the comparison. F5 does the same thing.


Alike Content (EditP)

Alike Content: Text that is alike to both files is black.


Save Button (EditP)

Save Button: Save the current Editor document. This is dim in the Comparison Results dialog.


Selection Margin (EditP)

Selection Margin: The Selection Margin displays bookmark placements and selected text indicators. Enable/disable the display of the Selection Margin from the Editor View Menu.


Tools Menu (EditP)

Tools Menu: Activates the Editor Tools Menu. A Tools Menu is not available in the Binary Editor or Comparison Results dialog.


Up Button (EditP)

Up Button: Move to the previous section in the Editor or the Comparison Results dialogs.


View Menu (EditP)

View Menu: Activates the Editor Edit Menu for a Text File or Binary File or the Comparison Results View Menu.


View Menu (EditBP)

View Menu: Activates the Binary Editor View Menu.


Window Menu (EditP)

Window Menu: Activates the Editor Window Menu or Comparison Results Window Menu.


Explorer Context Menu

A menu item is available in the Windows Explorer Right Click Context Menu that will launch File Merge Express. To

1. Highlight one or two files in Windows Explorer.

2. Right click with your mouse and select "Compare".

3. If two files were highlighted, File Merge Express will launch. If a merge file was used the last time the program was run a merge file will be created and Editor will be launched. If one file was highlighted in Explorer, the Compare Files dialog will be launched. You can then use that dialog to select another file for comparison.


Compare Setup File Menu

The File Menu prior to a compare has two items:

Compare Files: Activates the Compare Files dialog.

Print Setup: Provides a standard Windows print setup dialog.


Comparison Results File Menu

The Comparison Results File Menu consists of:

Close: Close the Comparison Dialog but keeps File Merge Express open.

Refresh: Updates the comparison results. Note that if you specified a merge file in the Compare Files dialog that is open in the editor, that file is not updated.

Exit: Closes the File Merge Express application.


Editor File Menu (Text File)

The Editor File Menu consists of:

Close: Close the current file. This does not exit File Merge Express.

Save: Save the current file without prompting for a name if the file has already been named.

Save As: Save the file under a different name.

Save All: Save all the open files.

Page Setup: Opens a page setup dialog to specify various printer settings.

Print: Print the current document.

Print Preview: Activates a print preview dialog with a zoom function. You can print directly from this as well.

Print Setup: Opens a print setup dialog to configure the current printer.

Exit: Quit File Merge Express.


Editor File Menu (Binary File)

The Editor File Menu consists of:

Close: Close the current file. This does not exit File Merge Express.

Save: Save the current file without prompting for a name if the file has already been named.

Save As: Save the file under a different name.

Save All: Save all the open files.

Print: Print the current document.

Print Preview: Activates a print preview dialog with a zoom function. You can print directly from this as well.

Exit: Quit File Merge Express.


File Merge Express About Box

This window contains system and copyright information. The underlined link to our web site will launch the default www browser for your computer and take you to www.funduc.com. The underlined e-mail link will launch the default Internet e-mail program for your computer. Click the Ordering Info button for Ordering Information or the License Info button for License Information.

For customer support, please contact us via Email at For customer support, write support@funduc.com.


File Name Error

An invalid file name was specified. You must specify a file that differs from either of the files being compared.

Note that the 'Copy File 1 Name' and 'Copy File 2 Name' buttons are intended to copy the file name itself. If you used those buttons, specify a path for the merge file that differs from either of the original files.


Editor Format Menu

The File Merge Express Editor Format Menu is only available when editing a binary file. It consists of:

Address: Enable/disable the display of file offset data in the editor dialog.

Hex Code: Display (or not) the hex code in the editor dialog. You can also adjust the bytes to display per row.

Ascii: Display (or not) the ascii counterpart in the editor dialog.

Wide Address: Use wide address information (or not) in the offset column.

Bytes Per Row: Select from 1 to 16 bytes to display in the hex code section.


Help Button

Help Button: Activates program help. F1 does the same thing.


Compare Setup Help Menu

The Help Menu prior to a compare has one item:

About FMX: Displays the File Merge Express About Box.


Comparison Results Help Menu

The Comparison Results Help Menu has one item:

Help Topics: Launch the program F1 HLP.

About FMX: Displays the File Merge Express About Box.


Editor Help Menu

The Editor Help Menu has the following items:

Help Topics: Launch the program F1 HLP.

About FMX: Displays the File Merge Express About Box.


About File Merge Express

File Merge Express

Copyright © 1999-2010 Funduc Software, Inc.
All Rights Reserved
www.funduc.com www.searchandreplace.com

See Ordering Information for details on how to purchase File Merge Express or write us at support@funduc.com. See License Information for details about licensing. For customer support, write support@funduc.com or visit our web site at www.funduc.com. Also visit our web site for product information, trialware & freeware downloads of our other award winning software products.


Comparison Results Menus

The Comparison Results Dialog has the following menu choices:

File Menu

Edit Menu

View Menu

Window Menu

Help Menu


Edit Dialog Menus

The Text and Binary Editor dialogs have the following menu choices:

File Menu

Edit Menu

View Menu

Format Menu (Binary Editor)

Tools Menu

Window Menu


Write Common Sections

Write Common Sections: Check this to include the alike sections of the files being compared in the merge file. Uncheck if you do not want the alike section.

Note: Prefix characters are not used in a binary comparison.


Section Footers

Section Footers: Enter the footer text to use (if any) to denote the end of sections differ between the files being compared in the merge file.

Note: Prefix characters are not used in a binary comparison.


Section Headers

Section Headers: Enter the header text to use (if any) to denote the start of sections differ between the files being compared in the merge file.

Note: Prefix characters are not used in a binary comparison.


Line Prefix

Line Prefix: Enter the line prefix characters to use (if any) to denote the lines that differ between the files being compared in the merge file.

Note: Prefix characters are not used in a binary comparison.


OK Button

OK Button: Accept the settings and close the dialog.


Operating System Compatibility

File Merge Express runs on Windows 2000 (Workstation and Server), XP (Pro and Home), Windows 2003, and Vista (32 and x64).

Notes:

  • Windows NT users: The program is no longer officially supported on Windows NT. At minimum, you must have Service Pac 6 installed.

  • Windows 95, 98, & ME users: The program is no longer officially supported on Windows 95/98/ME. At minimum you must have the latest patched versions that were available from Microsoft at the end of the product lifecycles for these operation systems.


File Merge Express Order Form

File Merge Express Fax and Mail Order Form

Funduc Software, Inc. - Fax and Mail Order Form

File Merge Express

Funduc Part Number: 455-FX-2349 (32-bit) (Circle Choice)

455-FX-2364 (64-bit)

Fax Orders:

Fax to the number indicated on the page at
www.funduc.com/contact.htm

Check Orders:

Funduc Software, Inc.
P.O. Box 530904
Livonia, MI 48153-0904
USA

-------- PRINT NEATLY OR TYPE! --------

Price Schedule | Price ($US) Per User | Number of Users | Price
Single user | $ 25.00 | _______ | $________
2 to 9 users | $ 23.00 | _______ | $________
10 to 24 users | $ 21.00 | _______ | $________
25 to 49 users | $ 18.00 | _______ | $________
50+ users | $ 15.00 | _______ | $________
Residents of Michigan, United States - add 6% sales tax |  |  | $________
Preferred Shipping Method Disk (USPS Domestic US) $8.00 S&H |  |  | $________
Disk (USPS International) $10.00 S&H |  |  | $________
Email (Free) |  |  | $___ 0 ___
TOTAL PAYMENT |  |  | $________

Credit Card Information
Card Type (Check One): | Visa[ ] American Express[ ] MasterCard[ ] Discover[ ]
Name as it appears on card: | ____________________________________________________
Credit Card Number: | ____________________________________________________
Expiration Date: | ____________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State Zip: | ____________________________________________________
Country: | ____________________________
Your Information (Write 'Same' if not different from above)
Your Name: | ____________________________________________________
Company: | ____________________________________________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State, Zip: | ____________________________________________________
Country: | ____________________________________________________
Day Phone Number: | ____________________________
Fax Number: | ____________________________
Alt Phone Number: | ____________________________
* EMail Address:* | ____________________________________________________
Signature: | ____________________________________________________
Date: | ____________________________

* Include E-Mail address if you want email delivery.

Comments:


File Merge Express Shareware

Thank you for trying the shareware version of File Merge Express. The shareware license is for a 60 day evaluation period from when you first install the program. There are no functional limitations in the shareware version other than the time out.

Regarding customer support for the shareware version - If you have a question that is not answered in the documentation, contact us by E-MAIL at support@funduc.com and we will do our best to answer your questions. However, please be aware that ongoing support necessitates that you register File Merge Express.

Please see Purchase & Order Information for how to obtain a registered version of File Merge Express.


Compare Setup View Menu

The View Menu prior to a compare has two items:

Toolbar: Display/Not Display the Toolbar Buttons.

Status Bar: Display/Not Display program messages in the status bar at the bottom of the dialog.


Comparison Results View Menu

The Comparison Results View Menu consists of:

Toolbar: Display/Not Display the Toolbar Buttons.

Status Bar: Display/Not Display program messages in the status bar at the bottom of the dialog.

Next Section: Moves the comparison results forward down one alike/different section (green vs red icons on the left of the display. This is the same as the blue up/down arrows on the toolbar.

Previous Section: Moves the comparison results back one alike/different section


Editor View Menu (Text File)

The Editor View Menu consists of:

Toolbar: Display/Not Display the Toolbar Buttons.

Status Bar: Display/Not Display program messages in the status bar at the bottom of the dialog.

Slection Margin: Display/Not Display a left margin that presents bookmark locations.

Word Wrapping: Wrap/Not Wrap at the right screen margin.


Editor View Menu (Binary File)

The Editor View Menu consists of:

Toolbar: Display/Not Display the Toolbar Buttons.

Status Bar: Display/Not Display program messages in the status bar at the bottom of the dialog.

Slection Margin: Display/Not Display a left margin that presents bookmark locations.

Word Wrapping: Wrap/Not Wrap at the right screen margin.


Comparison Results Window Menu

The Comparison Results Window Menu consists of:

Cascade: A standard windows cascade.

Tile: A standard windows tiled organization of the windows.

Arrange Icons: Arrange iconized windows.

Window Selector: Windows are numbered 1, 2, etc.


Editor Window Menu

The Editor Window Menu consists of:

Cascade: A standard windows cascade.

Tile: A standard windows tiled organization of the windows.

Arrange Icons: Auto-arrange iconized windows.

Window Selector: Windows are numbered 1, 2, etc.